#pragma once
#include <cstdint>

#include "DeerRender/Mesh.h"
#include "cereal/cereal.hpp"

namespace Deer {
	template <class Archive>
	void serialize(Archive& archive, VertexPosition& vertexPosition) {
		archive(cereal::make_nvp("x", vertexPosition.x));
		archive(cereal::make_nvp("y", vertexPosition.y));
		archive(cereal::make_nvp("z", vertexPosition.z));
	}
}  // namespace Deer